#include <stdio.h>
#include <stdlib.h>
#include <iostream>
using namespace std;

int main()
{
    int a[99999];
    int b[99999];
    int c[99999];
    int n, k, broj, izmena=0, j=0, i=0;
    cin>>n>>k;
    for (i=0; i<n; i++)
    {
        a[i]=0;
        b[i]=0;
        c[i]=0;
    }
    for (i=0; i<n; i++)
    {
        cin>>broj;
        if (broj==0)
            a[0]++;
        if (broj>0)
            a[broj]++;
        if (broj<0)
            b[broj]++;
        if (broj>=0 && a[broj]==k)
        {
            izmena++;
            c[j]=broj;
            j++;
            a[broj]=0;
        }
        if (broj<0 && b[broj]==k)
        {
            izmena++;
            c[j]=broj;
            j++;
            b[broj]=0;
        }
    }
    printf("%d\n", izmena);
    for (i=0; i<j; i++)
        printf("%d ", c[j]);
    return 0;
}